Subject: Git under Windows should warn or fail on entities differning only in case

From: David Hagood <[email-masked]>
Date: Fri, 12 Feb 2010 06:40:33 -0600

I work in a mixed Windows and Linux development team where we have an
embedded project that we are storing in GIT. However, we got bit by what
is arguably a bug in Windows, but...

If you have 2 entities in a directory which have names differing only in
case, e.g. "foo" and "FOO", under a REAL operating system with case
sensitive file system semantics, this is no problem. However, under
Windows and their wonderful "Case preserving but case insensitive"
semantics, "FOO" and "foo" would be the same file, so when you
pull/checkout/clone a repo with this condition, Windows will overwrite
one file, then Git will always see a "change" because one file or the
other won't be "right".

I would suggest that git should check for this case, and generate a big
warning about it when it happens. (Yes, it sucks burdening Git with
Windows' problems....)